List intent patterns
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidSuccessful Response
application/json- response
[index: integer]?curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/patterns'Example Response
[ { "accepted_tradeoff": "", "accountable_role": "Workspace architecture owner", "applicable_scope": "string", "assumptions": [ "string" ], "controls": [ { "id": "string", "predicates": [ { "allowed_source_keys": [ "string" ], "attribute": "string", "expected": "string", "key": "string", "kind": "entity_present", "relationship_kinds": [ "string" ], "required_sources": [ "code" ] } ], "title": "string" } ], "decision": "string", "id": "string", "limitations": [ "string" ], "published_at": "2026-09-18T12:00:00Z", "rationale": "string", "required_sources": [ "code" ], "review_status": "candidate", "slots": [ { "description": "string", "entity_kind": "string", "id": "string", "name": "string" } ], "summary": "string", "title": "string", "version": "string" }]